Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.sql
Interface InParameter

All Known Subinterfaces:
  InOutParameter

    public interface InParameter

A typed parameter to pass to a query

Author:
  rfuller

Method Summary
`int` | `getType()` The JDBC data type.
`Object` | `getValue()` The object holding the data value.

Method Detail

### getType

    int getType()

  The JDBC data type.

  Returns:
    the type

### getValue

    Object getValue()

  The object holding the data value.

  Returns:
    the value

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD